﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Presenters
{
    /// <summary>
    /// ServiceBase class for all presenters
    /// </summary>
    /// <typeparam name="T">The type of view that the presenter uses</typeparam>
    public abstract class PresenterBase<T>
    {
        /// <summary>
        /// An instance of the view that the presenter is using
        /// </summary>
        public T View
        {
            get;
            private set;
        }

        /// <summary>
        /// Initialise the presenter
        /// </summary>
        /// <param name="view">An instance of the view that this presenter will use</param>
        protected PresenterBase(T view)
        {
            View = view;
        }
    }
}
