﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace SQPlugin
{
    /// <summary>
    /// Interface that the plug ins implimentation of the "Edit Database" user control needs to consume
    /// </summary>
    public interface IEditDatabase
    {
        /// <summary>
        /// Return the updated database definition
        /// </summary>
        /// <returns>A database definition that contains changes made by the user</returns>
        Models.Database GetUpdatedDatabase();

        /// <summary>
        /// Set the database definition that we are going to be editing
        /// </summary>
        /// <param name="database">The database definition to edit</param>
        void SetDatabase(Models.Database database);
    }
}
