﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Views
{
    /// <summary>
    /// Interface for the Database List Upgrade form
    /// </summary>
    public interface IDBListUpgradeView : IView
    {
        /// <summary>
        /// A dictionary of server plugins available for use
        /// </summary>
        Dictionary<Guid, string> AvailableServerPlugins
        {
            get;
            set;
        }

        /// <summary>
        /// The ID of the selected server plug in
        /// </summary>
        Guid SelectedServerPluginID
        {
            get;
            set;
        }
    }
}
