﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Views
{
    /// <summary>
    /// Interface for the Export Results Window
    /// </summary>
    public interface IExportResultsView : IView
    {
        /// <summary>
        /// The file to export the results to
        /// </summary>
        string ExportFile
        {
            get;
            set;
        }

        /// <summary>
        /// The export style to use
        /// </summary>
        Services.QueryExportStyle ExportStyle
        {
            get;
            set;
        }

        /// <summary>
        /// The type of exports (csv or tsv)
        /// </summary>
        Services.QueryExportType ExportType
        {
            get;
            set;
        }

        /// <summary>
        /// The list of databases we with result sets that we can choose to export
        /// </summary>
        List<Models.Database> AvailableDatabases
        {
            get;
            set;
        }
    }
}
